Color corrector using the three chromatic wheels
Closed, ResolvedPublic

Description

Great control over color is definitely a must-have feature for a professional-grade video editing application. Currently, it is possible for users to workaround our lack of proper interface for this, but they deserve better. We want to create the needed tools so that they can fine-tune the colorimetry of their movies.

One day I would like being able to do color grading, or white balance correction, using the good old 3 chromatic wheels.

The classical three color wheels control the shadows for setting the black balance, midtones for setting the grey balance, and highlights for setting the white balance.

Imported from https://bugzilla.gnome.org/show_bug.cgi?id=596131

Details

jeff claimed this task.Sep 24 2009, 12:00 AM
jeff created this task.
jeff added a subscriber: jeff.
jeff added a comment.Oct 8 2013, 2:49 PM

I have no idea how to implement this myself (the color wheels etc).
We need someone to contribute patches for this to happen.

If you could change the color of the video as you do with gimp with this tool http://docs.gimp.org/en/gimp-tool-colorize.html , , and still implement all types of color tools possible http://docs.gimp.org/en/gimp-colors-menu.html would be great

pitivi-maint triaged this task as Enhancement priority.Sep 24 2009, 12:00 AM
pitivi-maint claimed this task.
pitivi-maint added a subscriber: hell_pe.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:41 PM
thiblahute added a project: Pitivi.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:45 PM
aleb added a subscriber: aleb.EditedMar 26 2016, 6:25 AM

"mypaint (which is also a Python + GTK3 app) has color wheel widgets." http://libregraphicsworld.org/blog/entry/mypaint-1.1.0-released

aleb renamed this task from color corrector to Color corrector using the three chromatic wheels.Nov 22 2016, 2:08 AM
aleb updated the task description. (Show Details)
aleb edited projects, added Pitivi tasks for newcomers; removed Pitivi.
aleb moved this task from Small to Large on the Pitivi tasks for newcomers board.
suhas2go claimed this task.May 8 2017, 6:52 PM
aleb moved this task from Backlog to 2.0 on the Pitivi board.
aleb edited projects, added Pitivi (2.0); removed Pitivi.
aleb moved this task from Backlog to In progress on the Pitivi (2.0) board.Aug 8 2017, 12:22 PM

As far as I can tell, the effect that we'll want to use in the backend is "frei0r-filter-3-point-color-balance", here's an example pipeline:

gst-launch-1.0 videotestsrc ! videoconvert ! frei0r-filter-3-point-color-balance gray-color-r=0.2 gray-color-g=0.2 gray-color-b=0.8 ! videoconvert ! autovideosink
aleb updated the task description. (Show Details)Aug 9 2017, 8:51 PM
suhas2go set git URI to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6253.
suhas2go added a comment.EditedAug 14 2017, 7:25 PM

Updated:

Old:

suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6253 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6256.Aug 14 2017, 7:40 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6256 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6267.Aug 15 2017, 12:31 AM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6267 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6364.Aug 23 2017, 1:42 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6364 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6365.Aug 23 2017, 2:15 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6365 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6369.Aug 23 2017, 4:28 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6369 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6468.
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6468 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6469.Sep 24 2017, 11:03 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6469 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6470.Oct 3 2017, 5:47 PM
aleb moved this task from Needs review to Done on the Pitivi (2.0) board.Oct 11 2017, 10:18 PM
aleb closed this task as Closed.Oct 11 2017, 10:30 PM

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/660.